library amh.http;

class HttpMethod {
  final int ordinal;
  final String literal;

  const HttpMethod(this.ordinal, this.literal);

  static const HttpMethod GET = const HttpMethod(1, "GET");
  static const HttpMethod POST = const HttpMethod(2, "POST");
  static const HttpMethod HEAD = const HttpMethod(3, "HEAD");
  static const HttpMethod PUT = const HttpMethod(4, "PUT");
  static const HttpMethod DELETE = const HttpMethod(5, "DELETE");

//  static HttpMethod fromLiteral(String literal) {
//    // TODO: ugly impl
//    switch (literal) {
//      case "GET":
//        return GET;
//      case "POST":
//        return POST;
//      default:
//        return null;
//    }
//  }

  String toString() => literal;
}
